<?php



function DisplayParticipants($csvfile) {
$resultcount=0;
$row = 1;
echo "<center><table>\n\n"; //begin html table formatting
if (($handle = fopen($csvfile, "r")) !== FALSE) {


    $oldcatname="";
    while (($data = fgetcsv($handle, 1000, ",")) !== FALSE) {
        $num = count($data);
        //echo "<p>" . $data[1] . "</p>";
        //echo "<p> $num fields in line $row: <br /></p>\n";
        $row++;
        //echo $row;

        if ( $row == "2") {
            echo "<p>";
        }else{
        if (str_contains(strtolower($data[3]), strtolower($query)) or str_contains(strtolower($data[2]), strtolower($query))  or str_contains(strtolower($data[1]), strtolower($query))) {
        $resultcount++;
        for ($c=0; $c < $num; $c++) { // iterate over each row
			if ($c == "1"){

if (!preg_match("~^(?:f|ht)tps?://~i", $data[1])) {
        $webringp = "http://" . $data[1];
    }else{
        $webringp = $data[1];
	}

            echo  '<a href="' . $webringp . '"><img src="participants/' . str_replace('http://', '', $data[1]) . '/banner.png"></a>'; // display the category as its the first row with this new category
			$url = '';
			}
            }
        }
        }
        }
    echo "\n</p>";
    fclose($handle);
}
//echo "<p>" . $resultcount . " Result(s) found.</p>";

}


?>
</br>

        <h3>Webring Participants:</h3>

<p>
<?php   

$webringcsvpath = $participantpath . "webring-participants.csv";
//echo $webringcsvpath;
DisplayParticipants($webringcsvpath);
?>


</p>

</br></br>
<p style="width: 80%;"><b><u>LEGAL DISCLAIMER:</u></b> <i>Across the entirety of all Darknet Lantern instances and all of the lists of links listed therein, <b>the sole purpose of providing the links to the mentionned darknet websites is strictly for informative and educative purposes.</b> The administrator(s) of this darknet lantern instance decline any and all responsibility regarding any physical, digital and psychological damage caused by any of the listed websites, as the responsibility of such acts remain with the perpetrating third-party. <b>By using this service, you permanently, irrevocably, and world-widely agree that the administrators of any darknet lantern instances aren't to be held responsible in any way for anything that another website ever did or will ever do, even if the link to that third-party website has been, is, or will ever be listed on any darknet lantern instance.</i></b></p>

</center>
</body>
</html>
